[lsb-discuss] Trying to link libreadline.a, LSB 4.0 on SLES11

Mats Wichmann mats at wichmann.us
Thu Apr 7 16:01:00 UTC 2016


On 04/07/2016 09:35 AM, Mats Wichmann wrote:
> On 04/07/2016 08:11 AM, Dallman, John wrote:
>> I've been building the production build Parasolid solid-modelling library and its test harness to LSB standards for a long time, and it has worked well. There is also a build with a lot of debugging code compiled in that has not been built LSB until now, but I'm trying to fix that. The debugging build is used interactively much more than the production build, and has used GNU readline for many years. But that's where I'm stuck.
>>
>> 
> You may also be able to use our "library battery" (a package named
> lsb-build-libbat), which has a prepared libreadline.a built in the LSB
> context, and thus not loaded with "illegal" symbols. Unfortunately, I
> can't tell you exactly where to get a 4.0 copy of that from either. I
> have a 4.1 version sitting here which I could send, if we can't find
> these in the package ftp site - I didn't spot in a brief look but that
> means little.

Here are the libbat packages targeted at LSB 4.0:

http://ftp.linuxbase.org/pub/lsb/lsbdev/unreleased/4.0-libbat/

other versions are in

http://ftp.linuxbase.org/pub/lsb/lsbdev/unreleased/4.1-libbat/

and

http://ftp.linuxbase.org/pub/lsb/snapshots/libbat (5.0 version)


More information about the lsb-discuss mailing list